%define brand fedora

Name:		publican-%{brand}
Summary:	Publican documentation template files for %{brand}
Version:	0.19
Release:	3%{?dist}
License:	Open Publication 
Group:		Development/Libraries
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:	noarch
Source:		https://fedorahosted.org/releases/p/u/publican/%{name}-%{version}.tgz
Requires:	publican
BuildRequires:	publican
URL:		https://fedorahosted.org/publican
Obsoletes:	documentation-devel-Fedora

%description
This package provides common files and templates needed to build documentation
for %{brand} with publican.

%prep
%setup -q

%build
%{__make} Common_Content

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/Templates
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/make
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/xsl/%{brand}
cp -rf Common_Content $RPM_BUILD_ROOT%{_datadir}/publican/
cp -rf Book_Template $RPM_BUILD_ROOT%{_datadir}/publican/Templates/%{brand}-Book_Template
cp -rf Set_Template $RPM_BUILD_ROOT%{_datadir}/publican/Templates/%{brand}-Set_Template
cp -rf Article_Template $RPM_BUILD_ROOT%{_datadir}/publican/Templates/%{brand}-Article_Template
install -m 755 make/Makefile.%{brand} $RPM_BUILD_ROOT%{_datadir}/publican/make/.
install -m 755 xsl/*.xsl $RPM_BUILD_ROOT%{_datadir}/publican/xsl/%{brand}/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%doc COPYING
%{_datadir}/publican/Common_Content/%{brand}
%{_datadir}/publican/Templates/%{brand}-*_Template
%{_datadir}/publican/make/Makefile.%{brand}
%{_datadir}/publican/xsl/%{brand}

%changelog
* Wed Oct 7 2009 Rüdiger Landmann <r.landmann@redhat.com> 0.19-3
- Fix date in 0.19-2 changelog
- Update Fedora Feedback in Polish Piotr Drąg <piotrdrag@gmail.com>
* Wed Oct 7 2009 Rüdiger Landmann <r.landmann@redhat.com> 0.19-2
- Fix languages missing from 0.19-1 Makefile -- he-IL, nb-NO, nl-NL, sv-SE
- Tue Oct 6 2009 Maxim V. Dziumanenko <dziumanenko@gmail.com>
- Update Fedora Feedback in Ukrainian
* Mon Oct 5 2009 Rüdiger Landmann <r.landmann@redhat.com> 0.19-1
- Update Legal Notice for CC-BY-SA-3.0 Unported, plus other tweaks per Red Hat legal
- Add Fedora logos with correct trademarks. BZ #492041
- Sat Oct 3 2009 Maxim V. Dziumanenko <dziumanenko@gmail.com>
- Translate Fedora Feedback into Ukrainian
- Fri Sep 4 2009 Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>
- Translate Fedora Feedback into Finnish
- Sun Aug 9 2009 Josip Šumečki <shumi.1337@gmail.com>
- Translate Fedora Feedback into Croatian
- Sun Aug 9 2009 Robert Buj <robert.buj@gmail.com>
- Translate Fedora Feedback into Catalan
- Sun Jun 15 2009 Sindre Wetjen <sindre.w@gmail.com>
- Translate Fedora Feedback into Norwegian (Bokmål)
- Fri Jun 05 2009 Oron Peled <oron@actcom.co.il>
- Translate Fedora Feedback into Hebrew
- Thu Jun 04 2009 Jurijs Kolomijecs <admin@irben.id.lv>
- Translate Fedora Feedback into Latvian
- Mon May 25 2009 Nikola Štohanzl <niko@srnet.cz>
- Translate Fedora Feedback into Czech
- Sun May 10 2009 Pavol Šimo <palo.simo@gmail.com>
- Translate Fedora Feedback into Slovak 
- Fri May 08 2009 Arnes Arnautović <arnes99@gmail.com>
- Translate Fedora Feedback into Bosnian
- Sun Apr 19 2009 Manatsawin Hanmongkolchai <manatsawin@gmail.com>
- Translate Fedora Feedback into Thai
- Thu Apr 16 2009 Sveinn í Felli <sveinki@nett.is>
- Translate Fedora Feedback into Icelandic
- Wed Apr 08 2009 Sulyok Peti <sulyokpeti@gmail.com>
- Translate Fedora Feedback into Hungarian
- Mon Mar 23 2009 Göran Uddeborg <goeran@uddeborg.se>
- Translate Fedora Feedback into Swedish
- Fri Mar 20 2009  Noriko Mizumoto <noriko@redhat.com> 
- Update Fedora Feedback in Japanese
- Thu Mar 19 2009 Kris Thomsen <lakristho@gmail.com>
- Translate Fedora Feedback into Danish
- Fri Mar 13 2009  Jeff Fearn <jfearn@redhat.com> 
- Fix right to left fo ar-AR. BZ #486162
- Patches and translations by Muayyad Alsadi <alsadi@ojuba.org> 
- Tue Mar 10 2009 Alexey Vasyukov <vasyukov@vdel.com>
- Translate Fedora Feedback into Russian

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 9 2009  Jeff Fearn <jfearn@redhat.com> 0.18
- Add symlinks for langauges without country codes. BZ #487256
- Fri Mar 6 2009 Piotr Drąg <piotrdrag@gmail.com>
- Translate Fedora Feedback into Polish
- Wed Mar 4 2009 Miloš Komarčević <kmilos@gmail.com>
- Translate Fedora Feedback into Serbian
- Translate Fedora Feedback into Serbian (Latin)
- Wed Mar 4 2009 Richard van der Luit <zuma@xs4all.nl>
- Corrections to Fedora Feedback in Dutch
- Sat Feb 28 2009 Rui Gouveia <rui.gouveia@globaltek.pt>
- Translate Fedora Feedback into European Portuguese
- Fri Feb 27 2009 Richard van der Luit <zuma@xs4all.nl>
- Translate Fedora Feedback into Dutch

* Mon Jan 5 2009 Jeff Fearn <jfearn@redhat.com> 0.17
- Add LICENSE override for RPMs. BZ #477720

* Mon Dec 1 2008 Jeff Fearn <jfearn@redhat.com> 0.16
- resave title_logo.png. BZ #474075
- Add override for PROD_URL

* Tue Sep 9 2008 Jeff Fearn <jfearn@redhat.com> 0.15
- Removed corpauthor from template. BZ #461222
- Updated Fedora legal notice. BZ #448022

* Mon Sep 1 2008 Jeff Fearn <jfearn@redhat.com> 0.14-0
- Fix styles for publican 0.35 mods
- Removed common entity files as they break translation
- Remove ID's from common files. BZ #460770

* Mon Apr 14 2008 Jeff Fearn <jfearn@redhat.com> 0.13-0
- Fix missing list image in html-single articles
- QANDA set css fix BZ #442674
- Override PDF Theme
- Added package tag BZ #444908
- Added Article and Set Templates

* Mon Apr 7 2008 Jeff Fearn <jfearn@redhat.com> 0.12-0
- Add Desktop css customisations

* Tue Mar 4 2008 Andy Fitzsimon <afitzsim@redhat.com> 0.11-0
- optimised default stylesheet colours
- author group improvements
- formatting for revision history 
- merged tocnav and documentation.css to defauly.css
- updated icons

* Thu Feb 28 2008 Jeff Fearn <jfearn@redhat.com> 0.10-0
- Added PRODUCT entity with default msg. BZ #431171
- Added BOOKID entity with default msg. BZ #431171
- Fix keycap hard to read in admon BZ #369161
- Added Brand Makefile
- Fix docs URL BZ #434733

* Thu Feb 14 2008 Jeff Fearn <jfearn@redhat.com> 0.9-0
- Changed Group
- Updated Legal Notice
- Removed Requires(post) and Requires(postun)
- Added missing logo.png
- Updated Summary

* Wed Feb 13 2008 Jeff Fearn <jfearn@redhat.com> 0.8-1
- Correct License name
- Remove release from urls and file names

* Tue Feb 12 2008 Jeff Fearn <jfearn@redhat.com> 0.8-0
- Setup per Brand Book_Templates
- Fix soure and URL paths
- Use release in source path
- add OPL text as COPYING

* Mon Feb 11 2008 Jeff Fearn <jfearn@redhat.com> 0.7-0
- Updated YEAR entity with better message.

* Fri Feb 01 2008 Jeff Fearn <jfearn@redhat.com> 0.6-0
- Switch from documentation-devil to publican

* Thu Jan 17 2008 Jeff Fearn <jfearn@redhat.com> 0.5-0
- Switch from documentation-devel to documentation-devil

* Wed Jan 02 2008 Jeff Fearn <jfearn@redhat.com> 0.4-0
- Default YEAR and HOLDER. BZ #426040

* Fri Jul 20 2007 Jeff Fearn <jfearn@redhat.com> 0.3-0
- Update

* Fri Jul 13 2007 Jeff Fearn <jfearn@redhat.com> 0.1-0
- Initial creation
